/** 
*U-NAS System Backup App 
* Implementing U-NAS System Backup App
*/
var UNASSYSTEMBACKUPApp = UNASSYSTEMBACKUPApp || {};  //Define U-NAS System Backup App namespace.
/**
*Constructor UNAS App
*/
UNASSYSTEMBACKUPApp.App = function () {
    this.id = 'U-NAS System Backup';
    this.name = 'U-NAS System Backup';
    this.version = '6.0.0';
    this.active = false;
    this.menuIcon = '/apps/unas-systembackup/images/logo.png';
    this.shortcutIcon = '/apps/unas-systembackup/images/logo.png';
    this.entryUrl = "/apps/unas-systembackup/unas-systembackup.html";
    //this.entryHelpUrl = '/apps/unas-systembackup/unas-systembackup_help.html';
    var self = this;
    this.UNASSystembackupAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('U-NAS System Backup')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'UNASSystembackupAppWindow',
            title: UNAS._('U-NAS System Backup'),
            icon: '/apps/unas-systembackup/images/logo_small.png',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
            contentURL: '/apps/unas-systembackup/unas-systembackup.html',
            require: { css: ['/apps/unas-systembackup/css/unas-systembackup.css'] },
            onBeforeBuild: function () { UNAS.SetAppOpenedWindow("U-NAS System Backup", 'UNASSystembackupAppWindow') }
     	});
    };
    this.UNASSystembackupUninstall = function () {
    	UNAS.RemoveDesktopShortcut('U-NAS System Backup');
    	UNAS.RemoveMenu('U-NAS System Backup');
    	UNAS.RemoveAppFromGroups('U-NAS System Backup', 'Help');
        UNAS.RemoveAppFromGroups('U-NAS System Backup', 'ControlPanel'); 
    	UNAS.RemoveAppFromApps('U-NAS System Backup');
    };
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'U-NAS System Backup', '', this.UNASSystembackupAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'U-NAS System Backup', this.UNASSystembackupAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Laction' : 1, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Loction' : 1, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('U-NAS System Backup', UNAS._('U-NAS System Backup')); //translate menu
        UNAS.SetShortcutTitle('U-NAS System Backup', UNAS._('U-NAS System Backup'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('UNASSystembackupAppWindow', UNAS._('U-NAS System Backup'));
        }
    };
    UNAS.LoadTranslation('/apps/unas-systembackup/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.UNASSystembackupAppWindow, this.UNASSystembackupUninstall);
};
new UNASSYSTEMBACKUPApp.App();